Page MenuHomePhabricator

VE experiment prep
Closed, ResolvedPublic

Description

This card is done when we are ready to let the Editing Team deploy the VE experiment.

Checklist
  • Settle on dates of experiment
  • Gather list of critical logging issues from Dan
  • File critical logging issue bugs on Phab and ping James F for estimate.
  • Test logging fixes.

Trello card: cMXDlVBv

  • column: In Progress

Event Timeline

Trellimport added a project: Research.
Trellimport added a subscriber: Halfak.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 11:29 PM
ggellerman moved this task from Staged to In Progress on the Research board.May 15 2015, 12:07 AM

Comments on Trello

2015-04-23 Halfak:
Logging issues discovered. Either Schema:Edit events aren't coming in or they aren't validating.

2015-04-16 Halfak:
Completed File critical logging bugs on Phab and ping James for estimate on this card.

2015-04-10 Halfak:

Completed Gather list of critical logging issues from Dan on this card.

Dates are pre-set. I'm skeptical that the timeline that has been put in place makes sense since we often have at least one failed test before we get an experiment deployment right, but I've filed my concerns and these things are out of my control.

I also just got done talking to Dan and our list of logging issues is here: http://etherpad.wikimedia.org/p/editing_logging

TL;DR:

session ids are duplicated with no way to de-duplicate
user.id and user.class don't match. Are both wrong or only one?
action.abort.type not instrumented for WikiText

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 15 2015, 10:55 PM
ggellerman closed this task as Resolved.Mar 24 2016, 10:18 PM